/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <July 08, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.cta-btn:first-child,
.cta-btn:last-child{
    background: var(--color-primary-background);
}

.cta-btn:first-child:hover,
.cta-btn:last-child:hover{
    background: transparent;
    color: var(--color-primary-background);
    border-color: var(--color-primary-background);
}

/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}
/* Services */
	/**/

.ry-services.style2 .ry-each .title div {
    color: white;
    font-size: 22px;
}

.ry-services.style2 .ry-each .photo:after {
    opacity: 1;
    background: var(--color-secondary-background);
}

.ry-services.style2 .ry-each .each-block:hover .title div {
    color: white;
}

.ry-services.style2 .ry-each .button-svg {
    filter: invert(1);
}

.ry-services.style2 .ry-each .each-block:hover .photo img {
    opacity: 0.3;
}
/* Meet the Team */
	/**/

.ry-hp-team::before {
    width: 40%;
}
/* Insurance */
	/**/
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
/* Footer */
	/**/
/*Media Queries*/
	/**/

#ry-footer ul li a:hover {opacity: .5;}
@media (max-width: 1080px) {
    .ry-services.style2 .each-block .photo {
        border-radius: 0;
    }

    .ry-services.style2 .each-block .photo:before {
        background: var(--color-primary-text);
        height: 100%;
    }
    
    .ry-services.style2 .each-block .photo img {
        border-radius: 0;
        z-index: 2;
        height: 50%;
        width: 50%;
        left: 25%;
        top: 15%;
    }
    
    .ry-services.style2 .each-block .title div {
        color: #374151;
        line-height: 1.1;
        max-width: 100%;
        width: 100%;
    }
}

@media (width < 1080px) {
    #section-hp-services:before, .module-19.style2:before, .ry-services.style2::before {
        opacity: 1;
    }

    .ry-hp-team img {
        max-width: 70%;
    }
    
    .ry-hp-team::before {
        width: 100%;
        height: 20%;
        top: auto;
        bottom: 0;
    }
}

@media (max-width: 1024px) {
    body[data-page-name="index"] #navigation {
        position: relative;
    }
    
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    .ry-hp-team .mb-20 {
        margin-bottom: 0;
    }
}

@media (max-width: 425px) {
    .ry-hp-team::before {
        height: 20%;
    }
	
	.promotions img {
		min-width: unset !important;
	}
}

@media (max-width: 414px) {
	.snap-mobile-menu img {
		max-height: 45px;
	}
}
/* End - HP Edits*/